SOKE
API ReferenceContent

Score Content

Score your content titles and descriptions against platform best practices using deterministic analysis.

POST /api/v1/content/score

Score content (titles or descriptions) against platform-specific best practices. Uses deterministic analysis to evaluate keyword placement, length optimization, emotional pull, curiosity gap, readability, and more.

Credits: 2 per request

Authentication

X-Soke-Key: sk_live_your_api_key
Authorization: Bearer your_jwt_token

Request Body

FieldTypeRequiredDefaultDescription
contentstringYesThe title or description to score
platformstringNo"youtube"Target platform
targetKeywordsstring[]NoKeywords to evaluate placement for

Example Request

curl -X POST https://api.usesoke.ai/api/v1/content/score \
  -H "Content-Type: application/json" \
  -H "X-Soke-Key: sk_live_your_api_key" \
  -d '{
    "content": "10 Developer Productivity Hacks That Actually Work",
    "platform": "youtube",
    "targetKeywords": ["developer productivity"]
  }'

Response

200 OK
{
  "success": true,
  "data": {
    "content": "10 Developer Productivity Hacks That Actually Work",
    "overallScore": 85.3,
    "breakdown": {
      "keywordPlacement": {
        "value": 90.0,
        "dimension": "Keyword Placement",
        "suggestion": null
      },
      "lengthOptimization": {
        "value": 88.0,
        "dimension": "Length Optimization",
        "suggestion": null
      },
      "emotionalPull": {
        "value": 75.0,
        "dimension": "Emotional Pull",
        "suggestion": "Consider adding a stronger emotional trigger word"
      },
      "curiosityGap": {
        "value": 82.0,
        "dimension": "Curiosity Gap",
        "suggestion": null
      },
      "readability": {
        "value": 92.0,
        "dimension": "Readability",
        "suggestion": null
      },
      "personalTone": {
        "value": 78.0,
        "dimension": "Personal Tone",
        "suggestion": "Consider using 'I' or 'You' for a more personal feel"
      },
      "hookStrength": {
        "value": 88.0,
        "dimension": "Hook Strength",
        "suggestion": null
      },
      "authenticity": {
        "value": 90.0,
        "dimension": "Authenticity",
        "suggestion": null
      }
    },
    "suggestions": [
      "Consider adding a stronger emotional trigger word",
      "Consider using 'I' or 'You' for a more personal feel"
    ]
  },
  "meta": {
    "platform": "youtube",
    "request_id": "550e8400-e29b-41d4-a716-446655440000",
    "processing_time_ms": 95
  }
}

Score Dimensions

DimensionDescription
keywordPlacementHow well target keywords are positioned
lengthOptimizationWhether the length is optimal for the platform
emotionalPullEmotional appeal and trigger words
curiosityGapWhether it creates curiosity to click
readabilityHow easy it is to read and understand
personalToneUse of personal language (I, You)
hookStrengthStrength of the opening hook (numbers, questions, etc.)
authenticityHow authentic and non-clickbaity it feels

Each dimension returns a value (0-100) and an optional suggestion for improvement.

Error Codes

CodeStatusDescription
BAD_REQUEST400Missing or invalid content
RATE_LIMIT_EXCEEDED429Rate limit exceeded
INSUFFICIENT_CREDITS402Not enough credits
PLATFORM_NOT_IMPLEMENTED501Platform not yet supported

On this page